--- asterisk-1.6.0-beta5.orig/res/res_config_ldap.c	2008-02-15 19:29:08.000000000 +0200
+++ asterisk-1.6.0-beta5/res/res_config_ldap.c	2008-03-17 15:14:03.440700469 +0200
@@ -725,9 +725,10 @@
 		return NULL;
 	} 
 
-	if (!(filter = ast_str_create(80)))
+	if (!(filter = ast_str_create(80))) {
 		ast_free(clean_basedn);
 		return NULL;
+	}
 
 	/* Get the first parameter and first value in our list of passed paramater/value pairs  */
 	newparam = va_arg(ap, const char *);
@@ -1282,8 +1283,9 @@
 
 		for (i = 0; ldap_entry; i++) { 
 			dn = ldap_get_dn(ldapConn, ldap_entry);
-			if (!(error = ldap_modify_ext_s(ldapConn, dn, ldap_mods, NULL, NULL))) 
-				ast_log(LOG_ERROR, "Couldn't modify dn:%s because %s", dn, ldap_err2string(error));
+			error = ldap_modify_ext_s(ldapConn, dn, ldap_mods, NULL, NULL);
+			if (LDAP_SUCCESS != error)
+				ast_log(LOG_ERROR, "Couldn't modify dn:%s because %s\n", dn, ldap_err2string(error));
 
 			ldap_entry = ldap_next_entry(ldapConn, ldap_entry);
 		}
